class SessionsController < ApplicationController
  def create
    @user = User.authenticate(params[:username], params[:password])
    if @user
      session[:user] = @user.id
    else
      flash[:notice] = 'Invalid user name or password'
    end
    redirect_to :back
  end

  def destroy
    reset_session
    flash[:notice] = 'Logged out successfully'
    redirect_to :back
  end
end
