require 'test_helper'

class SessionsControllerTest < ActionDispatch::IntegrationTest
  test "login" do
    post login_url, params: { username: users(:valaki).username, password: 'a'}, headers: { "HTTP_REFERER" => '/say/hello' }
    assert_response :redirect
    assert_equal session[:user], users(:valaki).id
  end

  test "logout" do
    post login_url, params: { username: users(:valaki).username, password: 'a'}, headers: { "HTTP_REFERER" => '/say/hello' }
    assert_equal session[:user], users(:valaki).id 
    get logout_url, headers: { "HTTP_REFERER" => '/say/hello' }
    # Rails 4-ig
    # get :destroy, nil, { user: users(:valaki).id }
    assert_response :redirect
    assert_nil session[:user]
  end

end
