require 'test_helper'

class RegisterUserTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end

  test "register a new user with valid parameters" do
    get say_hello_url
    assert_response :success
    assert_select 'a', "Register"

    get new_user_url
    assert_response :success
    assert_select 'legend', 'Register a new user'
    assert_select 'legend', 2
    assert_nil session[:user]

    post user_create_url, params: { user: { username: 'senki', password: 'a', password_confirmation: 'a', email: 'senki@mail.bme.hu' } }
    assert_response :redirect
    assert_not_nil session[:user]
    assert User.where(username: 'senki').count > 0
  end
end
