require 'test_helper'

class UserTest < ActiveSupport::TestCase
  # def test_the_truth
  test "the truth" do
     assert true
  end

  test "cannot save user without username" do
     u = User.new
     assert !u.save, "Houston, we have a problem"
  end

  test "cannot save user with existing username" do
     u = User.new
     u.username = 'valaki'
     assert !u.save
  end

  test "cannot save user with username of length of 1" do
    u = User.new
    u.username = 'a'
    assert !u.save
  end

  test "encrypt with SHA1 hexdigest" do
    assert_equal User.encrypt('titok', 'salt'), Digest::SHA1.hexdigest("salttitok")
  end
end
